#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin>>n;
    vector<int> v;
    for(int i=0;i<n;i++){
        int buff;cin>>buff;
        v.push_back(buff);
    }
    int ans=0;
    for(int i=0;i<n;i++){
        int max_=0;
        for(int j=i+1;j<n;j++){
            if(v[i]!=v[j] && (max_<v[j] || max_<v[i])) ans++;
            max_=max(max_, v[j]);
        }
    }
    cout<<ans<<endl;
    return 0;
}
